Package org.eclipse.handly.model

# Interface IElementDeltaConstants

public interface IElementDeltaConstants
Provides constants which define element delta kinds and describe element changes.

See Also:
  - `ElementDeltas.getKind(IElementDelta)`
  - `ElementDeltas.getFlags(IElementDelta)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADDED`
  Delta kind constant indicating that the element has been added to its parent.
  `static final int`
  `CHANGED`
  Delta kind constant indicating that the element has been changed, as described by change flag constants.
  `static final long`
  `F_CHILDREN`
  Change flag constant (bit-mask) indicating that there are changes to the children of the element.
  `static final long`
  `F_CONTENT`
  Change flag constant (bit-mask) indicating that the content of the element has changed.
  `static final long`
  `F_DESCRIPTION`
  Change flag constant (bit-mask) indicating that the underlying `IProject`'s description has changed.
  `static final long`
  `F_FINE_GRAINED`
  Change flag constant (bit-mask) indicating that this is a fine-grained delta, that is, an analysis down to the source constructs level was done to determine if there were structural changes to source constructs.
  `static final long`
  `F_MARKERS`
  Change flag constant (bit-mask) indicating that markers on the element's corresponding resource have changed.
  `static final long`
  `F_MOVED_FROM`
  Change flag constant (bit-mask) indicating that the element was moved from another location.
  `static final long`
  `F_MOVED_TO`
  Change flag constant (bit-mask) indicating that the element was moved to another location.
  `static final long`
  `F_OPEN`
  Change flag constant (bit-mask) indicating that the underlying `IProject` has been opened or closed.
  `static final long`
  `F_REORDER`
  Change flag constant (bit-mask) indicating that the element has changed position relatively to its siblings.
  `static final long`
  `F_SYNC`
  Change flag constant (bit-mask) indicating that sync status of the element's corresponding resource has changed.
  `static final long`
  `F_UNDERLYING_RESOURCE`
  Change flag constant (bit-mask) indicating that the underlying `IFile` of a working copy has changed.
  `static final long`
  `F_WORKING_COPY`
  Change flag constant (bit-mask) indicating that a source file has become a working copy, or that a working copy has reverted to a source file.
  `static final int`
  `NO_CHANGE`
  Delta kind constant indicating that the element has not been changed in any way.
  `static final int`
  `REMOVED`
  Delta kind constant indicating that the element has been removed from its parent.

- ## Field Details

  - ### NO_CHANGE

    static final int NO_CHANGE
    Delta kind constant indicating that the element has not been changed in any way.
    See Also:
      - Constant Field Values

  - ### ADDED

    static final int ADDED
    Delta kind constant indicating that the element has been added to its parent. Note that an added element delta has no children, as they are all implicitly added.
    See Also:
      - Constant Field Values

  - ### REMOVED

    static final int REMOVED
    Delta kind constant indicating that the element has been removed from its parent. Note that a removed element delta has no children, as they are all implicitly removed.
    See Also:
      - Constant Field Values

  - ### CHANGED

    static final int CHANGED
    Delta kind constant indicating that the element has been changed, as described by change flag constants.
    See Also:
      - Constant Field Values

  - ### F_CONTENT

    static final long F_CONTENT
    Change flag constant (bit-mask) indicating that the content of the element has changed.
    See Also:
      - Constant Field Values

  - ### F_CHILDREN

    static final long F_CHILDREN
    Change flag constant (bit-mask) indicating that there are changes to the children of the element.
    See Also:
      - Constant Field Values

  - ### F_MOVED_FROM

    static final long F_MOVED_FROM
    Change flag constant (bit-mask) indicating that the element was moved from another location.
    See Also:
      - Constant Field Values

  - ### F_MOVED_TO

    static final long F_MOVED_TO
    Change flag constant (bit-mask) indicating that the element was moved to another location.
    See Also:
      - Constant Field Values

  - ### F_REORDER

    static final long F_REORDER
    Change flag constant (bit-mask) indicating that the element has changed position relatively to its siblings.
    See Also:
      - Constant Field Values

  - ### F_FINE_GRAINED

    static final long F_FINE_GRAINED
    Change flag constant (bit-mask) indicating that this is a fine-grained delta, that is, an analysis down to the source constructs level was done to determine if there were structural changes to source constructs.

    Clients can use this flag to find out if a source file that has an `F_CONTENT` change should assume that there are no finer grained changes (`F_FINE_GRAINED` is set) or if finer grained changes were not considered (`F_FINE_GRAINED` is not set).

    See Also:
      - Constant Field Values

  - ### F_OPEN

    static final long F_OPEN
    Change flag constant (bit-mask) indicating that the underlying `IProject` has been opened or closed. This flag is only valid if the element represents a project.
    See Also:
      - Constant Field Values

  - ### F_DESCRIPTION

    static final long F_DESCRIPTION
    Change flag constant (bit-mask) indicating that the underlying `IProject`'s description has changed. This flag is only valid if the element represents a project.
    See Also:
      - Constant Field Values

  - ### F_WORKING_COPY

    static final long F_WORKING_COPY
    Change flag constant (bit-mask) indicating that a source file has become a working copy, or that a working copy has reverted to a source file. This flag is only valid if the element represents a source file.
    See Also:
      - Constant Field Values

  - ### F_UNDERLYING_RESOURCE

    static final long F_UNDERLYING_RESOURCE
    Change flag constant (bit-mask) indicating that the underlying `IFile` of a working copy has changed. This flag is only valid if the element represents a source file.
    See Also:
      - Constant Field Values

  - ### F_MARKERS

    static final long F_MARKERS
    Change flag constant (bit-mask) indicating that markers on the element's corresponding resource have changed. This flag is only valid if the element has a corresponding resource.
    See Also:
      - Constant Field Values

  - ### F_SYNC

    static final long F_SYNC
    Change flag constant (bit-mask) indicating that sync status of the element's corresponding resource has changed. This flag is only valid if the element has a corresponding resource.
    See Also:
      - Constant Field Values